Subject: bug#5050: 23.1; efiff: Displaying bytes instead of characters in messages

From: Sebastian Rose <[email-masked]>
Date: Thu, 26 Nov 2009 21:13:34 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

If I do

  M-x ediff-files RET

and choose binary files, e.g. x.png and x.jpg, this is, what I see in
the `*ediff*' buffer (no indentation): 

  Bin\303\244rdateien /home/sebastian/x.png and /home/sebastian/x.jpg sind verschieden.

What I expect to see is:

  Binärdateien /home/sebastian/x.png and /home/sebastian/x.jpg sind verschieden.

What I'd prefer even more, would be `ediff' to load those two files two
different buffers, put those buffers in hexl-mode and diff them.

Before `ediff' does this, it should ask (maybe ask only, if the two
files or one of them exceeds a certain size).

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
 of 2009-11-16 on beteigeuze
Windowing system distributor `The X.Org Foundation', version 11.0.10600000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  recentf-mode: t
  show-paren-mode: t
  global-hl-line-mode: t
  display-time-mode: t
  desktop-save-mode: t
  auto-image-file-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
a s SPC s o n t <backspace> s t ? <down> M-> <return> 
<return> <return> SPC SPC S E b ' <backspace> <backspace> 
<backspace> e b a s t i a n <up> <up> <up> <up> <up> 
<right> <return> <return> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <backspace> SPC a <backspace> 
A b e r SPC i c h SPC w e i s SPC n i c h t SPC w e 
<backspace> <backspace> <M-backspace> <M-backspace> 
<M-backspace> <M-backspace> <up> <right> M-c <right> 
<right> <right> <right> SPC g a r <down> <down> <down> 
C-c C-c <right> <left> d E E <switch-frame> q y C-x 
k <return> <S-up> q C-x o C-x 1 C-x k <return> C-x 
C-f <up> <up> <return> C-x C-f <up> <up> <return> M-x 
e i <backspace> d i <tab> f <tab> <tab> - f i <tab> 
<tab> s <return> <up> <up> <return> <up> <up> <return> 
q C-x k C-g C-SPC <down> M-w <switch-frame> <S-left> 
<down> <down> <up> SPC <down> <down> <down> <down> 
<down> <up> <up> <up> <up> <up> E E E E E SPC E E E 
E E E E SPC E E E SPC <up> <up> SPC <down> <down> <down> 
<up> <up> SPC <down> SPC <down> <down> <down> <down> 
<down> <up> E E E E E <up> <up> <up> <up> <up> <up> 
<up> E <switch-frame> <up> C-SPC <down> M-w M-x e <backspace> 
- b u g <tab> M-b <backspace> r e p o r t - <tab> 
<return>

Recent messages:
Quit
Mark set
Retrieving newsgroup: nnml:list:emacs-devel...
Fetching headers for nnml:list:emacs-devel...done
Scoring...done
Generating summary...done
No more unread articles
No more articles
Mark activated
Making completion list...